redis_config = { url: ENV["REDIS_URL"] }
redis_config.merge!(password: ENV["REDIS_PASSWORD"]) if ENV["REDIS_PASSWORD"].present?
redis_config.merge!(db: ENV["REDIS_DB"]) if ENV["REDIS_DB"].present?

Ohm.redis = Redis.new(redis_config)
Redis::Objects.redis = Redis.new(redis_config)

# 系统中各模块需要使用的redis
$redis = Redis.new(redis_config)
$token_redis = Redis::Namespace.new(:token, redis: $redis)
$verify_code_redis = Redis::Namespace.new(:verify_code, redis: $redis)
$limit_redis = Redis::Namespace.new(:limit, redis: $redis)
